Summary: GNOME pilot programs
Name: gnome-pilot
Version: 0.1.65
Release: 8
License: LGPL
Group: Applications/Communications
Source: http://eskil.org/gnome-pilot/download/%{name}-%{version}.tar.bz2
Patch0: gnome-pilot-0.1.65-noapplet.patch
Patch1: gnome-pilot.patch
BuildRoot: %{_tmppath}/%{name}-root
Requires: pilot-link >= 0.11.0
Requires: ORBit >= 0.5.7
Requires: libglade >= 0.16
Requires: libxml >= 1.8.12
Requires: gnome-vfs >= 1.0
Requires: redhat-menus
BuildRequires: pilot-link-devel >= 0.11.0
BuildRequires: libglade-devel
BuildRequires: libxml-devel >= 1.8.12
BuildRequires: gnome-vfs-devel >= 1.0
BuildRequires: /usr/bin/automake-1.4 
BuildRequires: libcapplet0-devel >= 1.4
ExcludeArch: s390 s390x

%description
gnome-pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm> or other PalmOS<tm> devices.

%package devel
Summary: GNOME pilot libraries, includes, etc
Group: Development/Libraries
Requires: ORBit-devel
Requires: pilot-link-devel
Requires: %name = %{version}

%description devel
gpilotd libraries and includes.

%prep
%setup -q
%patch0 -p1 -b .noapplet
%patch1 -p1 -b .pilot
%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
ln -sf %{_datadir}/desktop-menu-patches/gnome-pilot.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/CORBA/servers/gpilotd.gnorba
#%config %{_sysconfdir}/CORBA/servers/gpilot-applet.gnorba
%{_bindir}/gnome-pilot-make-password
%{_bindir}/gpilotd
#%{_bindir}/gpilotd-client
#%{_bindir}/gpilot-applet
%{_bindir}/gpilot-install-file
%{_bindir}/gpilotd-control-applet
%{_bindir}/gpilotd-session-wrapper
%{_libdir}/*.so.*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/libbackup_conduit.so
%{_libdir}/gnome-pilot/conduits/libfile_conduit.so
%{_mandir}/man*/*
#%{_datadir}/applets/Utility/*.desktop
%{_datadir}/control-center/Peripherals/*.desktop
#%{_datadir}/gnome/apps/Settings/Peripherals/*.desktop
%dir %{_datadir}/gnome-pilot
%dir %{_datadir}/gnome-pilot/conduits
%{_datadir}/gnome-pilot/conduits/backup.conduit
%{_datadir}/gnome-pilot/conduits/file.conduit
%{_datadir}/gnome-pilot/glade
%{_datadir}/idl/gnome-pilot.idl
%{_datadir}/mime-info/palm.*
%{_datadir}/oaf/*.oafinfo
%{_datadir}/pixmaps/*.png
/usr/share/applications/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/gpilotConf.sh

%changelog
* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 0.1.65-8
- don't use a relative symlink for the desktop file (#72911)
- include control center desktop files so that capplets work (#71852)

* Thu Aug 22 2002 Than Ngo <than@redhat.com> 0.1.65-7
- rebuild against new pilot-link

* Tue Aug   6 2002 Than Ngo <than@redhat.com> 0.1.65-6
- rebuild against pilot-link-0.11.2

* Mon Jul 29 2002 Jeremy Katz <katzj@redhat.com> 0.1.65-5
- move desktop file to redhat-menus and create symlink here (#69426)

* Thu Jul 18 2002 Than Ngo <than@redhat.com> 0.1.65-4
- rebuild against pilot-link-0.11

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.1.65

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Sun Apr 28 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not build on mainframe

* Wed Apr 17 2002 Jeremy Katz <katzj@redhat.com>
- don't build the applet.  now we don't need gnome-core

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com>
- go straight through the build system, do not pass go

* Fri Jan 25 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.1.64

* Mon Nov 26 2001 Jeremy Katz <katzj@redhat.com>
- initial build for Red Hat Linux
- lang'ify
- add build requires

* Tue Sep 11 2001 Eskil Heyn Olsen <eskil@eskil.dk>
- Removed the test conduit from rpm

* Wed Feb 17 1999 Eskil Heyn Olsen <deity@eskil.dk>
- Created the .spec file

